extends Control

func _ready():
	if OS.get_name() == "Android" or OS.get_name() == "iOS":
		$TopLeft/ButtonIconClose/Control.hide()
	if OS.get_name() == "iOS":
		$TopLeft/ButtonIconClose.hide()
	pass

func _on_ConfirmationDialog_confirmed():
	Input.start_joy_vibration(0, 1, 1, 0.1)
	Input.vibrate_handheld(100)
	var player = AudioStreamPlayer.new()
	self.add_child(player)
	player.stream = load("res://assets/sounds/click.wav")
	player.play()
	get_tree().quit()

func get_input():
	if Input.is_action_pressed("game_fullscreen"):
		OS.window_fullscreen = !OS.window_fullscreen
